<template>
  <div>
    <h1 class="mb-4">
      <span class="font-bold"> Minha equipe: </span>{{ team_name }}
    </h1>
    <h2 class="mb-4 font-bold">Integrantes:</h2>
    <ul
      class="bg-white shadow-md rounded mb-4 mx-8 divide-y divide-gray-400 max-w-md mx-auto"
    >
      <li v-for="member in members" :key="member.name">
        <div class="p-4 hover:bg-gray-200 flex justify-start">
          {{ member.name }}
          <span @click="removeMember(member.id)" class="xStyle">X</span>
        </div>
      </li>
    </ul>
    <AddMemberForm @newIntegrant="newIntegrantHandler" />
  </div>
</template>

<script>
import AddMemberForm from "@/components/Team/AddMemberForm.vue";

export default {
  name: "MyTeam",
  data: function() {
    return {
      members: [
        { id: 10, name: "Carlos" },
        { id: 11, name: "Henrique" },
        { id: 12, name: "Francisco" }
      ],
      team_name: "Meu time bonito"
    };
  },
  components: {
    AddMemberForm
  },
  methods: {
    newIntegrantHandler(member) {
      if (!this.members.some(m => m.id === member.id)) {
        this.members.push(member);
      }
    },
    removeMember(memberId) {
      this.members = this.members.filter(member => member.id !== memberId);
    }
  }
};
</script>

<style>
.xStyle {
  color: red;
  font-weight: bold;
  margin-left: 20px;
  cursor: pointer;
}
</style>
